%define name emesene
%define version 2.12.9
%define release %mkrel 3

Summary: OS independent MSN Messenger client
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   http://dfn.dl.sourceforge.net/sourceforge/emesene/%{name}-%{version}.tar.xz
License:   GPL v2.0
Group:     Networking/Instant messaging
URL:       http://blog.emesene.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:python-devel
BuildRequires: libmimic-devel
BuildRequires: desktop-file-utils
BuildRequires: python-setuptools
BuildArch: noarch
Requires:  python
Requires:  pygtk2.0
Requires:  dbus-python
Requires: alsa-utils
Requires: gnome-python-extras
Requires: python-notify
Requires: gnome-python-gtkspell
Requires: python-farstream
Requires: python-pycrypto
Requires: gstreamer0.10-python
Requires: python-papyon >= 0.5.5
Obsoletes:  %name < %version


%description
Emesene is an OS independent MSN Messenger client writed in python and
GTK. The main idea is to make a client similar to the official MSN
Messenger client but keeping it simple and with a nice GUI.
 
Emesene is a python/gtk MSN messenger clone, it uses msnlib (MSNP9)
and try to be a nice looking and simple MSN client.

You can login, send formated messages, smilies, use autoreply, change
status, change nick, send nudges and all the stuff you can do in a
normal MSN client except, file transfers,custom emoticons and display
picture.

%prep
%setup -q -n %{name}-%{version}
rm -rf {dlls,windows,osx,data}

%{__python} setup.py build_ext -i

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root %{buildroot}

mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%name << EOF
#!/bin/sh
cd %_datadir/%{name}
./emesene
EOF
chmod +x %buildroot%_bindir/%name

mkdir -p %buildroot%_datadir/applications
cat > %buildroot%_datadir/applications/%name.desktop << EOF
[Desktop Entry]
Type=Application
Name=Emesene
Comment=OS Independent MSN Messenger
Exec=emesene
Icon=%name.png
Categories=Network;X-MandrivaLinux-Internet-InstantMessaging;InstantMessaging;GTK;
EOF

#desktop-icon
mkdir -p %buildroot/%_datadir/pixmaps
install -m 0644 emesene/themes/images/default/logo48.png \
%buildroot/%_datadir/pixmaps/%{name}.png

#fix directory
mkdir -p %buildroot%_datadir
mv %buildroot/usr/lib/python2.7/site-packages/emesene %buildroot%_datadir/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING LICENSE
%_bindir/*
%_datadir/%{name}
%_datadir/applications/%{name}.desktop
/usr/lib/python2.7/site-packages/*
%_datadir/pixmaps/*
%_datadir/man/man1/*
%_datadir/icons/hicolor/*x*/apps/*
%_datadir/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Sat Jan 25 2014 bb <bb> 2.12.9-3pclos2014
- change dep to python-farstream

* Fri Aug 16 2013 billybot <billybot> 2.12.9-2pclos2013
- update python 2.7

* Sat Sep 08 2012 Neal <nealbrks0 at gmail dot com> 2.12.9-1pclos2012
- process

* Fri Sep 07 2012 Ken <lxgator at gmail.com> 2.12.9-1pclos2012
- 2.12.1 add BR python-setuptools

* Wed Jul 20 2011 Pinoc <vogtpet at gmail.com> 2.11.5-2pclos2011
- add requires python-pycrypto, gstreamer0.10-python

* Thu Jul 14 2011 Pinoc <vogtpet at gmail.com> 2.11.5-1pclos2011
- 2.11.5
- add requires python-papyon, python-farsight2

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 1.6.3-2pclos2010
- rebuild new python

* Thu Jul 22 2010 Texstar <texstar at gmail.com> 1.6.3-1pclos2010
- 1.6.3

* Fri Jun 25 2010 Texstar <texstar at gmail.com> 1.6.2-1pclos2010
- 1.6.2

* Wed May 19 2010 Texstar <texstar at gmail.com> 1.6.1-1pclos2010
- 1.6.1

* Thu Jan 07 2010 slick50 <lxgator@gmail.com> 1.6-1pclos2010
- 1.6

* Sun Oct 25 2009 Texstar <texstar at gmail.com> 1.5.1-1pclos2010
- 1.5.1

* Wed Aug 26 2009 slick50 <lxgator@gmail.com> 1.5-1pclos2009
- 1.5

* Fri Aug 08 2008 Slick50 <slick50@linuxgator.org> 1.0.1-1pclos2007
- 1.0.1

* Sun Apr 06 2008 Slick50 <slick50@linuxgator.org> 1.0-1pclos2007
-  1.0

* Sun Feb 10 2008 Slick50 <slick50@linuxgator.org> 0-0.20071202.1pclos2007
-  Initial build 


